VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ModDlgFolderClass"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Private WithEvents oFileUIEvents As FileUIEvents
Attribute oFileUIEvents.VB_VarHelpID = -1
Private WithEvents oUserInputEvents As UserInputEvents
Attribute oUserInputEvents.VB_VarHelpID = -1

Private myPath As String

Public Property Let sPath(sNewPath As String)
    myPath = sNewPath
End Property

Public Property Get sPath() As String
    sPath = myPath
End Property

Public Sub connect()
    Set oFileUIEvents = ThisApplication.FileUIEvents
    Set oUserInputEvents = ThisApplication.CommandManager.UserInputEvents
End Sub

Public Sub disconnect()
    Set oFileUIEvents = Nothing
    Set oUserInputEvents = Nothing
End Sub

' FileUI Events
'############################################################################################################################################################################################################################################################
Private Sub oFileUIEvents_OnFileOpenDialog(FileTypes() As String, ByVal ParentHWND As Long, FileName As String, ByVal Context As NameValueMap, HandlingCode As HandlingCodeEnum)
    
    If TypeOf Context.Item(1) Is FileDialog Then
        Dim oFileDialog As FileDialog
        Set oFileDialog = Context.Item(1)
    
        If oFileDialog.DialogTitle = "ModOpen" Then
            Exit Sub
        End If
    End If
    
    'alle nicht modifizierten ffnen-Dialoge werden abgebrochen
    HandlingCode = kEventCanceled
End Sub

' User Input Events
'############################################################################################################################################################################################################################################################
Private Sub oUserInputEvents_OnActivateCommand(ByVal CommandName As String, ByVal Context As NameValueMap)
 If CommandName = "AppFileOpenCmd" Then
    Call ModOpenDialog
 End If
End Sub



